明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1001|回复: 0

文本对齐

[复制链接]
发表于 2008-9-26 16:44:00 | 显示全部楼层 |阅读模式

以X坐标一点中心对齐 X=775,y坐标提取就是.InsertionPoint(1)

如pp(0) = 775: pp(1) = .InsertionPoint(1): pp(2) = 0
程序如下:

Sub ls()
 Dim objText As AcadText, Ent As AcadEntity
 Dim pp(0 To 2) As Double ', alignmentPoint(0 To 2) As Double
 For Each Ent In ThisDrawing.ModelSpace
   Set objText = Ent
   With objText
    
     pp(0) = 775: pp(1) = .InsertionPoint(1): pp(2) = 0
     'alignmentPoint(0) = 775: alignmentPoint(1) = .InsertionPoint(1): alignmentPoint(2) = 0
     'Debug.Print .InsertionPoint(1), .TextString
     For jj = 0 To 2
       Debug.Print .InsertionPoint(jj), pp(jj)
     Next jj
     .Alignment = acAlignmentCenter
     .TextAlignmentPoint = pp 'alignmentPoint
    
   End With
 Next
End Sub

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 07:48 , Processed in 0.153093 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表